# Add redirect to domain

This function adds a redirect to a domain.

Important:

  When you disable the Web Server role, the system disables this function.

Endpoint: GET /Mime/add_redirect
Version: 11.136.0.4
Security: BasicAuth

## Query parameters:

  - `domain` (string, required)
    The domain from which to redirect.
    Example: "example.com"

  - `redirect` (string, required)
    The URL to which to redirect.
    Example: "http://example.com/"

  - `redirect_wildcard` (integer)
    Whether to redirect all files within a directory to the same
filename within the destination directory.
* 1 - Redirect all files within the directory.
* 0 - Do not redirect all files within the directory.
    Enum: 0, 1

  - `redirect_www` (integer)
    Whether to redirect domains with or without www.
* 2 - Redirect with www.
* 1 - Redirect without www.
* 0 - Redirect with and without www.

  - `src` (string)
    A specific page from which to redirect.
    Example: "/specific-page"

  - `type` (string)
    Whether the redirect is temporary.
 * permanent
 * temp
    Enum: "permanent", "temp"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "add_redirect"

  - `module` (string)
    The name of the module called.
    Example: "Mime"

  - `result` (object)

  - `result.data` (object,null)

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.
    Example: ["Htaccess Installed"]

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


